Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mwc.sqld.db
Class MasterTable

    java.lang.Object
      |
      +--com.mwc.sqld.db.MasterTable

All Implemented Interfaces:
  Table

public class MasterTable
extends java.lang.Object
implements Table

Constructor Summary
`MasterTable(java.io.File masterFile)`

Method Summary
`java.lang.String[][]` | `cols()`
`int` | `delete(Criteria criteria)`
`boolean` | `drop()`
`Curser` | `getNewCurser()`
`boolean` | `insert(java.util.LinkedList values)`
`java.lang.String[][]` | `loadCols(java.lang.String forTableName)`
`java.lang.String` | `name()`
`void` | `saveState(java.lang.String dataDirectory, java.util.Hashtable tables)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MasterTable

    public MasterTable(java.io.File masterFile)

Method Detail

### loadCols

    public java.lang.String[][] loadCols(java.lang.String forTableName)

### name

    public java.lang.String name()

  Specified by:
    `name` in interface `Table`

### saveState

    public void saveState(java.lang.String dataDirectory,
                          java.util.Hashtable tables)
                   throws java.io.IOException

### getNewCurser

    public Curser getNewCurser()

  Specified by:
    `getNewCurser` in interface `Table`

### insert

    public boolean insert(java.util.LinkedList values)

  Specified by:
    `insert` in interface `Table`

### delete

    public int delete(Criteria criteria)

  Specified by:
    `delete` in interface `Table`

### drop

    public boolean drop()

  Specified by:
    `drop` in interface `Table`

### cols

    public java.lang.String[][] cols()

  Specified by:
    `cols` in interface `Table`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD